import { IfcAPI } from "web-ifc";
import type { ModelGridData } from "../../utils/ModelGrids";
type IfcRawValue = boolean | null | number | string | undefined | IfcRawValue[] | {
    value: IfcRawValue;
};
export type GridData = ModelGridData;
export declare class Grid {
    parser: IfcAPI;
    grid: number;
    modelID: number;
    constructor(parser: IfcAPI, modelID: number, grid: number);
    getCurValue(prop: IfcRawValue): IfcRawValue;
    getNumberValue(prop: IfcRawValue): number | null;
    getScaledCoordinate(coords: IfcRawValue, index: number): number | null;
    init(): Promise<ModelGridData | undefined>;
}
export {};
